Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource.config
Class ResourceDataConfiguration

    java.lang.Object
      lbg.resource.config.ResourceDataConfiguration

    public class ResourceDataConfiguration

extends java.lang.Object

Resource data configuration.

Author:
  Cyril Briquet

Constructor Summary
`ResourceDataConfiguration(int SUPPLYING_CACHE_CAPACITY)` Creates a new ResourceDataConfiguration (legal in SIM_MODE only).
`ResourceDataConfiguration(java.util.Properties props)` Creates a new ResourceDataConfiguration.

Method Summary
`java.lang.String` | `CACHE_DIR()`
`java.lang.String` | `format(boolean log_format)` Outputs the ResourceDataConfiguration, formatted either as a property file or as a log file.
`java.lang.String` | `STATS_DIR()`
`int` | `SUPPLYING_CACHE_CAPACITY()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceDataConfiguration

    public ResourceDataConfiguration(java.util.Properties props)
                              throws GridException

  Creates a new ResourceDataConfiguration.

  Throws:
    `GridException`

### ResourceDataConfiguration

    public ResourceDataConfiguration(int SUPPLYING_CACHE_CAPACITY)
                              throws GridException

  Creates a new ResourceDataConfiguration (legal in SIM_MODE only).

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the ResourceDataConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format ResourceDataConfiguration as a log file
  Returns:
    formatted ResourceDataConfiguration

### CACHE_DIR

    public java.lang.String CACHE_DIR()

### STATS_DIR

    public java.lang.String STATS_DIR()

### SUPPLYING_CACHE_CAPACITY

    public int SUPPLYING_CACHE_CAPACITY()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.